[package]
name = "clippable"
version = "0.1.0"
edition = "2018"


[workspace]
members = [
	"api",
	"clippable-cli",
]

[[bin]]
name = "api"
path = "api/src/main.rs"

[dependencies]
# For json hehexd
serde = { version = "1.0", features = ["derive"] }

# This is primarily for turning images(thumbnails) in the api
# into base64 strings
base64 = "0.13.0"

# For commanline parsing
clap = "2.33.3"

# For the backend server we just use rocket
rocket = { version = "0.5.0-rc.1", features = [ "json" ] }
tokio = "1.0"

[dependencies.rocket_contrib]
version = "0.4.10"
default-features = false
features = ["serve", "json"]

[dependencies.rocket_dyn_templates]
version = "0.1.0-rc.1"
features = ["tera"]

